package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.IfaImportedFundCount;
import com.tanpu.fund.entity.generator.IfaImportedFundCountExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface IfaImportedFundCountMapper {
    long countByExample(IfaImportedFundCountExample example);

    int deleteByExample(IfaImportedFundCountExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(IfaImportedFundCount record);

    int insertOrUpdate(IfaImportedFundCount record);

    int insertOrUpdateSelective(IfaImportedFundCount record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(IfaImportedFundCount record);

    List<IfaImportedFundCount> selectByExample(IfaImportedFundCountExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    IfaImportedFundCount selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") IfaImportedFundCount record, @Param("example") IfaImportedFundCountExample example);

    int updateByExample(@Param("record") IfaImportedFundCount record, @Param("example") IfaImportedFundCountExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(IfaImportedFundCount record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(IfaImportedFundCount record);

    int updateBatch(List<IfaImportedFundCount> list);

    int batchInsert(@Param("list") List<IfaImportedFundCount> list);
}