package com.tanpu.fund.api.model.resp;

import com.tanpu.common.model.product.resp.Net;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@ApiModel("净值列表详情")
@Data
public class NetVO {

    @ApiModelProperty("产品名称")
    private String productName;

    @ApiModelProperty("产品id")
    private String productId;

    @ApiModelProperty("对比产品id")
    private String ratioId;

    @ApiModelProperty("净值")
    private Net net;

    @ApiModelProperty("近半年")
    private String aboutYearProfit;

    @ApiModelProperty("本周收益")
    private String weekProfit;

    @ApiModelProperty("近一月收益")
    private String near1MonthProfit;

    @ApiModelProperty("近一年收益")
    private String near1YearProfit;

    @ApiModelProperty("近一年波动率")
    private String near1YearVolatility;

    @ApiModelProperty("近一年回撤")
    private String near1YearRetreat;

    @ApiModelProperty("近一年夏普")
    private String near1YearSharp;

}
