package com.tanpu.fund.api.model.resp;

import com.tanpu.fund.api.model.Answer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@ApiModel("QA信息")
@Data
@Builder
public class QAVO {

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("用户头像")
    private String headImg;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("提问时间 yyyy-mm-dd HH:mm")
    private Long time;

    @ApiModelProperty("问题描述")
    private String question;

    @ApiModelProperty("答复信息")
    private List<Answer> answers;
}

